## libparagui1.0 0.1.0-1

=== debian/changelog ===
libparagui1.0 (0.1.0-1) unstable; urgency=low

  * Initial Release (Closes: #109099)
  * added patch that let's paragui-config report /usr/include/paragui-1.0
    as the include directory

 -- Michael Moerz <mikem@debian.org>  Sat,  8 Dec 2001 20:53:33 +0100

Local variables:
mode: debian-changelog
End:
