=== debian/control ===
Source: libparagui1.0
Section: devel
Priority: optional
Maintainer: Michael Moerz <mikem@debian.org>
Build-Depends: debhelper (>> 3.0.0), zip (>= 2.30-1), libexpat1-dev, libfreetype6-dev, libstdc++2.10-dev | libstdc++3-dev, libsdl1.2-dev (>= 1.2.3+cvs20020303-1), zlib1g-dev
Standards-Version: 3.5.2

Package: libparagui1.0
Architecture: any
Depends: ${shlibs:Depends}, paragui-themes
Description: a real crossplatform widget set based on SDL
 ParaGUI is a cross-platform high-level application framework and GUI
 (graphical user interface) library.
 .
 ParaGUI's is completely based on the Simple DirectMedia Layer.

Package: libparagui1.0-dev
Architecture: any
Depends: libparagui1.0 (= ${Source-Version}), libc6-dev
Description: Development files for the widget set library
 ParaGUI is a cross-platform high-level application framework and GUI
 (graphical user interface) library.
 .
 ParaGUI's is completely based on the Simple DirectMedia Layer.
 .
 This package contains files needed if you wish to use the paragui library
 in your own programs.

Package: paragui-themes
Architecture: any
Description: Standard themes for the widget set library
 ParaGUI is a cross-platform high-level application framework and GUI
 (graphical user interface) library.
 .
 ParaGUI's is completely based on the Simple DirectMedia Layer.
 .
 This package contains standard themes files for the paragui library.
